<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$objetocalculo = new calculos(); //calcula todos valores finais
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
	 				 $pdf->AddPage();//adicionando a primera pafina 
	    			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,10,6,48,23,'JPG'); 
					 
				     $disparaCabecalho=0;	
				 	 $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=25;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=250;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);

					 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,195);
					 
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=64;
					 //$pdf->Line($margemEsquerda,$cota2,$posicaoCab1,$cota2);

					 //linha vertical a direita do timbre
					 
			         $pdf->setXY($posicaoCab1,$cota1);
                     $pdf->SetFont('Arial','B',10);
                     $pdf->Cell(140,5,utf8_decode('Laboratório de Análise de Sementes'),1,1,'C');
			         $pdf->setXY($posicaoCab1,$cota1+5);
                     $pdf->SetFont('Arial','',10);
                     $pdf->Cell(140,5,utf8_decode('FICHA DE AVALIAÇÃO DE TETRAZÓLIO'),1,1,'C');
                     $pdf->setXY($posicaoCab1,$cota1+10);
                     $pdf->Cell(35,5,utf8_decode('Data Vigência'),1,0,'C');
                     $pdf->Cell(40,5,utf8_decode('Número e versões'),1,0,'C');
                     $pdf->Cell(35,5,utf8_decode('Revisões'),1,0,'C');
                     $pdf->setXY($posicaoCab1,$cota1+15);
                     $pdf->Cell(35,5,utf8_decode('O5/01/16'),1,0,'C');
                     $pdf->Cell(40,5,utf8_decode('FO 5.04.02-MQ 04'),1,0,'C');
                     $pdf->Cell(35,5,utf8_decode('02'),1,0,'C');

                     $pdf->setXY($posicaoCab1+110,$cota1+10);
                     $pdf->Cell(30,10,utf8_decode('Página 1 de 1'),1,0,'C');



                     $cota1+=20;
			         $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->SetFont('Arial','',10);
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $pdf->Cell($larguraUtil,6,'AMOSTRA:'.$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),1,1,'L');
                     $cota1+=6;
					 $cotaAtual1= $cota1;
			         $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->SetFont('Arial','B',10);
                     $pdf->Cell($larguraUtil,5,utf8_decode('CLASSIFICAÇÃO DO VIGOR'),1,1,'C',1);

   			    	 $caminhoFinal="Imagens/tetrazolioBarrinhas.jpg";
					 $vetorLateral=array("0","1","2","3","4","5","D","6","7","8");

                //aqui cria um fornex para imprimir duas vezes
                for($v=1;$v<=2;$v++):
                     for($i=1;$i<=9;$i++): 
					    $cota1+=8;
					    $pdf->setXY($margemEsquerda,$cota1);   
                        $pdf->Cell(10,8,$vetorLateral[$i].'.',0,0,'C');
					    $pdf->Image($caminhoFinal,20,$cota1,160,6.9,'jpg'); 
					    $pdf->setXY($margemDireita-15,$cota1);   
                        $pdf->Cell(15,8,'_____',0,0,'C');


                     endfor;
					 $cota1+=8; 			         
			         $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->SetFont('Arial','B',10);
                     $pdf->Cell(90.5,6,utf8_decode('Nível de vigor (1-3)________(%)'),1,0,'L');     
					 $pdf->Cell(90.5,6,utf8_decode('Viabilidade (1-5)_______(%)'),1,0,'L');//lab nome

				endfor;	
				//linha vertical perto da margem direita
				$pdf->Line($margemDireita-13,$cotaAtual1+5,$margemDireita-13,$cota1);
				
				$pdf->SetFont('Arial','',10);
				$caminhoFinal="Imagens/imagem_tz_rodape2_dimicron.jpg";
                $cota1+=5;
				$pdf->Image($caminhoFinal,10,$cota1,195.1,65.1,'jpg'); 
                //rodape 
				$cota1+=70; 
		        $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,12); 
				 $pdf->setXY($margemEsquerda,$cota1+8);
	             $pdf->Cell(64,4,utf8_decode('Elaborado por Shirlei Uhde'),0,0,'C');     
	             $pdf->Cell(64,4,utf8_decode('Adilson Luis Hauenstein'),0,0,'C');     
	             $pdf->Cell(64,4,utf8_decode('Aprovado por José Ovidio Bessa'),0,0,'C');     
                 $pdf->Line(74,$cota1,74,$cota1+12);
                 $pdf->Line(138,$cota1,138,$cota1+12);

		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
